const path = require('path');

module.exports = {
  entry: './src/app.js',
  mode: "development",
  output: {
    filename: 'ticeditor.js',
    path: path.resolve(__dirname, 'build'),
  },
  module: {
    rules: [
      { test: /\.js$/, use: ["source-map-loader"], enforce: "pre" },
      { test: /\.css$/, use: ['style-loader', 'css-loader'] },
      { test: /\.png$/, use: 'file-loader' },
    ]
  }
};